=== debian/control ===
Source: ros-melodic-four-wheel-steering-controller
Section: misc
Priority: optional
Maintainer: Vincent Rousseau <vincent.rousseau@irstea.fr>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-four-wheel-steering-msgs, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-rosgraph-msgs, ros-melodic-rostest, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-urdf-geometry-parser
Homepage: http://ros.org/wiki/four_wheel_steering_controller
Standards-Version: 3.9.2

Package: ros-melodic-four-wheel-steering-controller
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-controller-interface, ros-melodic-four-wheel-steering-msgs, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-tf, ros-melodic-urdf-geometry-parser
Description: Controller for a four wheel steering mobile base.
