=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: misc
 Priority: optional
 Maintainer: Vincent Rousseau <vincent.rousseau@irstea.fr>
-Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-controller-interface, ros-melodic-controller-manager, ros-melodic-four-wheel-steering-msgs, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-rosgraph-msgs, ros-melodic-rostest, ros-melodic-std-srvs, ros-melodic-tf, ros-melodic-urdf-geometry-parser
+Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-controller-interface, ros-melodic-controller-manager <!nocheck>, ros-melodic-four-wheel-steering-msgs, ros-melodic-nav-msgs, ros-melodic-pluginlib, ros-melodic-realtime-tools, ros-melodic-rosgraph-msgs <!nocheck>, ros-melodic-rostest <!nocheck>, ros-melodic-std-srvs <!nocheck>, ros-melodic-tf, ros-melodic-urdf-geometry-parser
 Homepage: http://ros.org/wiki/four_wheel_steering_controller
 Standards-Version: 3.9.2
